import Phi.Types
import Phi.Widget
import Phi.Panel
import Phi.Border
import Phi.X11

import Phi.Widgets.Clock
import Phi.Widgets.Taskbar

main :: IO ()
main = do
  runPhi defaultXConfig defaultPanelConfig { panelPosition = Bottom }
    [theTaskbar, brightBorder [theClock]]
    where
      normalTaskBorder = BorderConfig (BorderWidth 2 (-4) 2 7) 1 (BorderWidth 0 5 0 5) (0.9, 0.9, 0.9, 0.65) (0.45, 0.45, 0.45, 0.8) 5 0
      activeTaskBorder = normalTaskBorder {borderColor = (1, 1, 1, 0.65), backgroundColor = (0, 0, 0, 0.8)}
      normalDesktopBorder = normalTaskBorder { margin = BorderWidth 2 3 2 3
                                             , padding = BorderWidth 0 2 0 2
                                             , borderColor = (0.75, 0.75, 0.75, 0.5)
                                             , backgroundColor = (1, 1, 1, 0.8)
                                             }
      currentDesktopBorder = normalDesktopBorder { borderColor = (0.75, 0.75, 0.75, 0.8)
                                                 , backgroundColor = (0.2, 0.2, 0.2, 0.9)
                                                 }
      taskStyle = TaskStyle { taskFont = "Sans 7"
                            , taskColor = (1, 1, 1, 1)
                            , taskBorder = normalTaskBorder
                            , taskIconStyle = idIconStyle
                            }
      normalDesktopStyle = DesktopStyle { desktopFont = "Sans 8"
                                        , desktopLabelWidth = 15
                                        , desktopLabelGap = (-5)
                                        , desktopColor = (0, 0, 0, 1)
                                        , desktopBorder = normalDesktopBorder
                                        }
      currentDesktopStyle = normalDesktopStyle { desktopBorder = currentDesktopBorder
                                               , desktopColor = (1, 1, 1, 1)
                                               }
                        
      
      theTaskbar = taskbar defaultTaskbarConfig { normalTaskStyle = taskStyle {taskIconStyle = desaturateIconStyle 0.7}
                                                , activeTaskStyle = taskStyle {taskBorder = activeTaskBorder}
                                                , desktopStyle = Just (normalDesktopStyle, currentDesktopStyle)
                                                }
      
      theClock = clock defaultClockConfig { clockFormat = "<span font='Sans 8'>%R</span>\n<span font='Sans 6'>%A %d %B</span>"
                                          , lineSpacing = (-2)
                                          , clockSize = 75
                                          }
      brightBorder = border $ BorderConfig (simpleBorderWidth 1) 1 (BorderWidth (-2) 3 0 3) (0.5, 0.5, 0.5, 0.65) (0.85, 0.85, 0.85, 0.8) 5 0
